## Apache Zeta Components Manual :: Docs For Class ezcMvcResultCookie

### MvcTools::ezcMvcResultCookie

### Class ezcMvcResultCookie

This struct contains cookie arguments

Source for this file: /MvcTools/src/structs/result_cookie.php

    ezcBaseStruct
       |
       --ezcMvcResultCookie

Version: | //autogentag//

### Member Variables

public string | `$domain` Cookie domain
public DateTime | `$expire` Expiry date
public boolean | `$httpOnly` Whether it is a "HTTP-only" cookie
public string | `$name` Cookie name
public string | `$path` Cookie path
public boolean | `$secure` Whether it is a "secure" cookie
public string | `$value` Cookie value

### Method Summary

public static ezcMvcResultCache | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResultCookie | `__construct( [ $name = ''] , [ $value = ''] , [ $expire = null] , [ $path = ''] , [ $domain = ''] , [ $secure = false] , [ $httpOnly = false] )` Constructs a new ezcMvcResultCache.

### Methods

#### __set_state

static ezcMvcResultCache __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResultCookie __construct( [string $name = ''] , [string $value = ''] , [ $expire = null] , [string $path = ''] , [string $domain = ''] , [bool $secure = false] , [bool $httpOnly = false] )

Constructs a new ezcMvcResultCache.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$value` | string |
`$expire` | DateTime |
`$path` | string |
`$domain` | string |
`$secure` | bool |
`$httpOnly` | bool |

Documentation generated by phpDocumentor 1.4.3